Reset Password
POST
/api/v1/auth/reset-password
const url = 'https://api.qeychain.xyz/api/v1/auth/reset-password';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"token":"example","password":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.qeychain.xyz/api/v1/auth/reset-password \ --header 'Content-Type: application/json' \ --data '{ "token": "example", "password": "example" }'Reset password using a token from the reset email.
Sets the new password and invalidates the token (single-use via JTI + expiry).
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
ResetPasswordRequest
object
token
required
Token
string
password
required
Password
string
Examplegenerated
{ "token": "example", "password": "example"}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Examplegenerated
exampleValidation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}